%define module_name ltmodem
%define module_version 8.26a9
%define module_release alt8
%define module_source_dir %module_name-%module_version
%define alk_version 2.6-alk-8

Name: kernel-source-%module_name-%module_version
Version: %module_version
Release: %module_release
Summary: Linux %module_name modules sources
License: Distributable
Group: Development/Kernel

Provides: kernel-source-%module_name = %version-%release
Obsoletes: kernel-source-%module_name

URL: http://www.physcip.uni-stuttgart.de/heby/ltmodem/
Source0: %url/%module_name-%module_version.tar.gz
Source1: %module_name-%alk_version.tar.bz2
Source2: %module_name-%module_version-Makefile

Patch0: ltmodem-2.6-alk-8-kernel-2.6.18.patch

BuildArch: noarch
BuildPreReq: kernel-build-tools

%package -n kernel-doc-%module_name-%module_version
Version: %module_version
Summary: Linux %module_name modules documentation
Group: Development/Kernel

Provides: kernel-doc-%module_name = %version-%release
Obsoletes: kernel-doc-%module_name

%description
Driver sources for Lucent/Agere winmodems

%description -n kernel-doc-%module_name-%module_version
%module_name modules documentation for Linux kernel

%prep
%setup -c
%setup -T -D -n %name-%version/%module_source_dir -a 1 

%patch0 -p2

%__tar -xzf source.tar.gz

%build
%__mv source/* .
%__mkdir_p docs/%module_name-%alk_version
%__mv DOCs/ utils/ 1ST-READ CHANGELOG UPDATES-BUGS docs/
pushd %module_name-%alk_version
%__mv linuxif.h ../linuxif.h
%__mv lt_modem.c ../ltmodem.c
%__mv serial.c ../serial.c
%__mv docs/ DEFINES NEWS README ../docs/%module_name-%alk_version/
popd
%__install -m644 %SOURCE2 Makefile

%install
%__mkdir_p %buildroot%_defaultdocdir
%__mv docs/ %buildroot%_defaultdocdir/%module_name-doc-%module_version
%__mkdir_p %buildroot%kernel_src/kernel-source-%module_name-%module_version
%__mv linuxif.h \
      ltmodem.c \
      serial.c \
      ltmdmobj.o* \
      Makefile \
      %buildroot%kernel_src/kernel-source-%module_name-%module_version
cd %buildroot%kernel_src
%__tar -c kernel-source-%module_name-%module_version | bzip2 -c > \
    %buildroot%kernel_src/kernel-source-%module_name-%module_version.tar.bz2
%__rm -fr kernel-source-%module_name-%module_version

%files
%kernel_src/kernel-source-%module_name-%module_version.tar.bz2

%files -n kernel-doc-%module_name-%module_version
%doc %_defaultdocdir/%module_name-doc-%module_version

%changelog
* Tue Feb 20 2007 Valery Inozemtsev <shrek@altlinux.ru> 8.26a9-alt8
- fixed build for 2.6.18
- drop support 2.4

* Thu Dec 15 2005 Andrey Rahmatullin <wrar@altlinux.ru> 8.26a9-alt7
- update 2.6 part to alk8
- drop ugly alk-version suffix from release (thresh@)

* Thu Sep 22 2005 Andrey Rahmatullin <wrar@altlinux.ru> 8.26a9-alt6alk7b
- update 2.6 part to alk7b
- some spec cleanup

* Fri May 13 2005 Andrey Rahmatullin <wrar@altlinux.ru> 8.26a9-alt5alk7
- update 2.6 part to alk7, add docs from alk's package
- include driver version in package name

* Thu Apr 15 2004 Andrey Rahmatullin <wrar@altlinux.ru> 8.26a9-alt4
- some Makefile fixes
- Sisyphus build

* Fri Jan 23 2004 Gleb Stiblo <ulfr@altlinux.ru> 8.26a9-alt3
- changed to kbuild Makefile for 2.6

* Wed Jan 14 2004 Andrey Rahmatullin <wrar@altlinux.ru> 8.26a9-alt2
- 2.6 support
- spec fully rewritten to package only necessary files

* Tue Sep 09 2003 Anton Farygin <rider@altlinux.ru> 8.26a9-alt1
- imported to Sisyphus

* Mon Sep 08 2003 Andrey Rahmatullin <wrar@mail.ru> 8.26a9-wrar0.4
- Adapting for ALT
